var resultCode
var bankCheck
var rrn
var mHash
var real_expiry_date

oleObject = new ActiveXObject("SBRFSRV.Server")

ws = WScript.CreateObject('WScript.Shell')

oleObject.clear()

oleObject.SParam("Amount", 100)
resultCode = oleObject.NFun(4000)
bankCheck = oleObject.GParamString("Cheque1251")
real_expiry_date = oleObject.GParamString("RealExpiryDate")
if(real_expiry_date == "")
    real_expiry_date = "Empity"

resultCheck = "ERRCODE: " + resultCode + "\r\n" + "HASH: " + mHash 
resultCheck += "\r\nRealExpiryDate:" + real_expiry_date
resultCheck += "\r\n\r\n" + bankCheck
showTextInNotepad(resultCheck)
oleObject.clear()

function showTextInNotepad(text){
filename = (new Date()).valueOf() + "upos_check.txt"
fso = WScript.CreateObject('Scripting.FileSystemObject')
file = fso.CreateTextFile(filename)
file.Write(text)
file.Close()
WScript.CreateObject('WScript.Shell').Run("notepad " + filename)
WScript.Sleep(2000)
fso.DeleteFile(filename)
}
